<!--
  util.jsp
  Written by Doug Lyon <lyon@docjava.com>, President, DocJava, Inc.
  Copyright 2000, DocJava, Inc
-->

<%@ page import = "java.util.*" %>

<html>
<head><title>Util.jsp</title></head>
<body bgcolor="white">
<font size=4>
<%
	int nof = 0;
	Cookie cookies[] = request.getCookies();
	out.println("<p><hr><h3>Cookies found:</h3>");
	for (int i=0; i < cookies.length; i++)
		out.println("<li>cookie #"+i+"="+cookies[i].getName()+" value="+cookies[i].getValue());
    out.println("<p><hr><h3>Request Information</h3>");
    out.println("<li>Method: " + request.getMethod());
    out.println("<li>Request URI: " + request.getRequestURI());
    out.println("<li>Protocol: " + request.getProtocol());
    out.println("<li>PathInfo: " + request.getPathInfo());
    out.println("<li>Remote Address: " + request.getRemoteAddr());
    out.println("<p><hr><h3>Header Names</h3>");
    Enumeration e = request.getHeaderNames();
    while (e.hasMoreElements()) {
            String name = (String)e.nextElement();
            String value = request.getHeader(name);
            out.println("<li>"+name + " = " + value);
    }
   %>
  <h1> Request Information </h1>
<font size="4">
JSP Request Method: <jsp:expr>  request.getMethod() </jsp:expr>
<br>
Request URI: <jsp:expr> request.getRequestURI()  </jsp:expr>
<br>
Request Protocol: <jsp:expr> request.getProtocol() </jsp:expr>
<br>

Servlet path: <jsp:expr> request.getServletPath() </jsp:expr>
<br>
Path info: <jsp:expr> request.getPathInfo() </jsp:expr>
<br>
Path translated: <jsp:expr> request.getPathTranslated() </jsp:expr>
<br>
Query string: <jsp:expr> request.getQueryString() </jsp:expr>
<br>
Content length: <jsp:expr> request.getContentLength() </jsp:expr>
<br>
Content type: <jsp:expr> request.getContentType() </jsp:expr>
<br>
Server name: <jsp:expr> request.getServerName() </jsp:expr>
<br>
Server port: <jsp:expr> request.getServerPort() </jsp:expr>
<br>
Remote user: <jsp:expr> request.getRemoteUser() </jsp:expr>
<br>
Remote address: <jsp:expr> request.getRemoteAddr() </jsp:expr>
<br>
Remote host: <jsp:expr> request.getRemoteHost() </jsp:expr>
<br>
Authorization scheme: <jsp:expr> request.getAuthType() </jsp:expr> 
<hr>
The browser you are using is <jsp:expr> request.getHeader("User-Agent") </jsp:expr>
<hr>
  <p>Care to <a href="util.jsp">try again</a>?


</font>
</body>
</html>
