/*
 * $Id: ModelUpdateListener.java,v 1.3 2000/09/20 04:34:25 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web;

/**
 * This interface is implemented by objects which are interested in
 * getting the model update events. For example, AccountWebImpl implements
 * this interface to get itself updated when account model gets updated.
*/

public interface ModelUpdateListener {

    public void performUpdate();

}



